MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028975Open CASCADE[OCCT] OCCT:DRAWpublic2017-08-07 12:052017-09-29 16:29
Reporteraml 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028975: Draw Harness - DBRep_DrawableShape::display() throws exception while displaying shape without free edges in Debug mode
DescriptionIn the scope of the issue 28974, new test cases have been added. Some of them fail in debug mode in the visualization part.
Steps To Reproduce
pload MODELING VISUALIZATION XDE
restore c:\\work\\Downloads\\bug28840\\brep\\bug28840_3.brep m
incmesh m 1.0
writestl m test.stl
readstl res test.stl triangulation
checktrinfo res -tri 200 -nod 102
axo



# In debug mode only
testgrid de_mesh

  de_mesh stl_read A03
  de_mesh stl_read A05
  de_mesh stl_read A09
  de_mesh stl_read B01
  de_mesh stl_read B04
  de_mesh stl_read B07
  de_mesh stl_read B08
  de_mesh stl_read B09
  de_mesh stl_read B12
  de_mesh stl_read B13
  de_mesh stl_read B15
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0028974closedbugmaster Test cases for STL reader/writer 

-  Notes
(0069142)
kgv (developer)
2017-08-07 12:11
edited on: 2017-08-07 12:11

Please provide specific test case (fully quoted), not entire test grid.
And some stack will be also useful.

(0069143)
aml (developer)
2017-08-07 12:15

Error message:

view 1 AXON 728 450 400 400
An exception was caught 00000212D6ED89F0 : Standard_RangeError: NCollection_Array1::Create
** Exception ** 00000212D6ED89F0 : Standard_RangeError: NCollection_Array1::Create
Tcl Exception: ** Exception ** 00000212D6ED89F0 : Standard_RangeError: NCollection_Array1::Create
MEMORY DELTA: -3006 KiB
TOTAL CPU TIME: 0.109375 sec

Call Stack:

> TKDraw.dll!NCollection_Array1<int>::NCollection_Array1<int>(const int theLower, const int theUpper) Line 175 C++
     TKDraw.dll!DBRep_DrawableShape::display(const opencascade::handle<Poly_Triangulation> & T, const gp_Trsf & tr, Draw_Display & dis) Line 1077 C++
     TKDraw.dll!DBRep_DrawableShape::DrawOn(Draw_Display & dis) Line 617 C++
     TKDraw.dll!Draw_Viewer::DrawOnView(const int id, const opencascade::handle<Draw_Drawable3D> & D) Line 862 C++
     TKDraw.dll!Draw_Viewer::operator<<(const opencascade::handle<Draw_Drawable3D> & d3d) Line 1158 C++
     TKDraw.dll!Draw::Set(const char * const name, const opencascade::handle<Draw_Drawable3D> & D, const bool displ) Line 807 C++
     TKDraw.dll!Draw::Set(const char * const name, const opencascade::handle<Draw_Drawable3D> & D) Line 730 C++
     TKDraw.dll!DBRep::Set(const char * const Name, const TopoDS_Shape & S) Line 1258 C++
     TKXSDRAW.dll!readstl(Draw_Interpretor & theDI, int theArgc, const char * * theArgv) Line 125 C++
     TKXSDRAW.dll!Draw_Interpretor::CallBackDataFunc::Invoke(Draw_Interpretor & theDI, int theArgNb, const char * * theArgVec) Line 81 C++
     TKDraw.dll!CommandCmd(void * theClientData, Tcl_Interp * interp, int argc, const char * * argv) Line 166 C++
(0069144)
aml (developer)
2017-08-07 12:15

Done.
(0069146)
git (administrator)
2017-08-07 12:28

Branch CR28975 has been created by kgv.

SHA-1: 29d6a33836bb445e0346545e2acb885489a8f810


Detailed log of new commits:

Author: kgv
Date: Mon Aug 7 12:26:58 2017 +0300

    0028975: Draw Harness - DBRep_DrawableShape::display() throws exception while displaying shape without free edges in Debug mode
(0069147)
kgv (developer)
2017-08-07 12:28

Patch is ready for review.
Test case is not needed.
(0069149)
aml (developer)
2017-08-07 12:49

The patch is reviewed.

All problems with visualization are fixed on my workstation.
(0069183)
bugmaster (administrator)
2017-08-07 19:31

Combination -
OCCT branch : CR28975 : SHA1 - 29d6a33836bb445e0346545e2acb885489a8f810
Products branch : master
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

http://jenkins-test-10.nnov.opencascade.com/view/CR28975-master-INV/view/START%20BRANCH%20CERTIFICATION/ [^]

Number of compiler warnings:

OCCT :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Products :
Linux: 5 (5 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
No differences that require special attention

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0069651)
git (administrator)
2017-08-18 17:00

Branch CR28975 has been deleted by kgv.

SHA-1: 29d6a33836bb445e0346545e2acb885489a8f810

- Related Changesets
occt: master e40d1acc
Timestamp: 2017-08-07 09:26:58
Author: kgv
Committer: bugmaster
Details ] Diff ]
0028975: Draw Harness - DBRep_DrawableShape::display() throws exception while displaying shape without free edges in Debug mode
mod - src/DBRep/DBRep_DrawableShape.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-08-07 12:05 aml New Issue
2017-08-07 12:05 aml Assigned To => kgv
2017-08-07 12:07 kgv Relationship added related to 0028974
2017-08-07 12:11 kgv Note Added: 0069142
2017-08-07 12:11 kgv Assigned To kgv => aml
2017-08-07 12:11 kgv Status new => feedback
2017-08-07 12:11 kgv Note Edited: 0069142 View Revisions
2017-08-07 12:13 aml Steps to Reproduce Updated View Revisions
2017-08-07 12:15 aml Note Added: 0069143
2017-08-07 12:15 aml Note Added: 0069144
2017-08-07 12:15 aml Assigned To aml => kgv
2017-08-07 12:15 aml Status feedback => acknowledged
2017-08-07 12:26 kgv Severity minor => trivial
2017-08-07 12:26 kgv Status acknowledged => assigned
2017-08-07 12:26 kgv Category OCCT:Visualization => OCCT:DRAW
2017-08-07 12:26 kgv Target Version 7.3.0* => 7.2.0
2017-08-07 12:26 kgv Summary Exception while displaying shape without geometry in a debug mode => Draw Harness - DBRep_DrawableShape::display() throws exception while displaying shape without free edges in Debug mode
2017-08-07 12:26 kgv Steps to Reproduce Updated View Revisions
2017-08-07 12:28 git Note Added: 0069146
2017-08-07 12:28 kgv Note Added: 0069147
2017-08-07 12:28 kgv Assigned To kgv => aml
2017-08-07 12:28 kgv Status assigned => resolved
2017-08-07 12:49 aml Note Added: 0069149
2017-08-07 12:49 aml Assigned To aml => bugmaster
2017-08-07 12:49 aml Status resolved => reviewed
2017-08-07 19:05 bugmaster Test case number => Not required
2017-08-07 19:31 bugmaster Note Added: 0069183
2017-08-07 19:31 bugmaster Status reviewed => tested
2017-08-11 07:52 bugmaster Changeset attached => occt master e40d1acc
2017-08-11 07:52 bugmaster Status tested => verified
2017-08-11 07:52 bugmaster Resolution open => fixed
2017-08-18 17:00 git Note Added: 0069651
2017-09-29 16:17 aiv Fixed in Version => 7.2.0
2017-09-29 16:29 aiv Status verified => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker